# Uses of Interface
org.eclipse.jdt.core.dom.IModuleBinding

Packages that use IModuleBinding
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of IModuleBinding in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return IModuleBinding
Modifier and Type
Method
Description
`default IModuleBinding`
IPackageBinding.`getModule()`
Returns the binding of the module associated with this package binding.
`default IModuleBinding`
ITypeBinding.`getModule()`
Returns the binding of the module associated with the package in which this type is declared.
`IModuleBinding[]`
IModuleBinding.`getRequiredModules()`
Returns all required modules.
`IModuleBinding`
ModuleDeclaration.`resolveBinding()`
Resolves and returns the binding for the module.